MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029739Open CASCADE[OCCT] OCCT:DRAWpublic2018-05-07 10:552018-06-29 21:19
Reporternds 
Assigned Toabv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029739: Draw Harness - vdonly does not hide displayed objects
DescriptionCommand 'donly' of ViewerTest package, according to description, should:
"Display only selected or named objects".

The command result is that already displayed objects are not hidden in the view.
Steps To Reproduce
pload MODELING VISUALIZATION
box b1 0 0 0 1 2 3
box b2 2 0 0 3 2 1
vclear
vinit View1
vaxo
vdisplay -dispMode 1 b1 b2
vfit
vdonly b1
if {[vreadpixel 100 100 rgb name] == "BLACK"} {puts "Error: wrong prs erased"}
if {[vreadpixel 300 300 rgb name] != "BLACK"} {puts "Error: wrong prs erased"}
TagsNo tags attached.
Test case numberv3d wire_solid L1
Attached Files

- Relationships
related to 0029740verifiedbugmaster Draw Harness - eliminate redundant casts to AIS_InteractiveObject 
child of 0025148closedbugmaster Visualization - drop TKNIS toolkit 

-  Notes
(0075840)
git (administrator)
2018-05-07 11:38

Branch CR29739 has been created by nds.

SHA-1: e6461b7f335f46dbf5be2d073450f1f12e912bab


Detailed log of new commits:

Author: nds
Date: Mon May 7 11:38:31 2018 +0300

    0029739: Draw Harness - vdonly does not hide displayed objects
(0075841)
nds (developer)
2018-05-07 11:41

Could you please review modifications.
(0075844)
kgv (developer)
2018-05-07 11:54

Please drop test case.
(0075847)
git (administrator)
2018-05-07 12:18

Branch CR29739 has been updated by nds.

SHA-1: b1e9a3453e5215aa6bec029253c13588ef01e02a


Detailed log of new commits:

Author: nds
Date: Mon May 7 12:18:24 2018 +0300

    # test correction

(0075848)
git (administrator)
2018-05-07 12:27

Branch CR29739_1 has been created by nds.

SHA-1: 40cfa406328bf470f4dd93cb0da4ca9858492916


Detailed log of new commits:

Author: nds
Date: Mon May 7 12:27:10 2018 +0300

    0029739: Draw Harness - vdonly does not hide displayed objects
(0075850)
nds (developer)
2018-05-07 12:31

Test case is updated, please have a look.
(0075852)
git (administrator)
2018-05-07 14:15

Branch CR29739_1 has been updated by nds.

SHA-1: 7cc98c101340b87419e9e42ed674ddf871a895fc


Detailed log of new commits:

Author: nds
Date: Mon May 7 14:15:40 2018 +0300

    # test correction

(0075853)
git (administrator)
2018-05-07 14:20

Branch CR29739_2 has been created by nds.

SHA-1: 135a2b0e135b1cd5405f07dac8d3c3266a76f581


Detailed log of new commits:

Author: nds
Date: Mon May 7 14:20:38 2018 +0300

    0029739: Draw Harness - vdonly does not hide displayed objects
(0075861)
git (administrator)
2018-05-07 16:27

Branch CR29739_2 has been updated forcibly by kgv.

SHA-1: 583a522f3afa4852340e20a179d809c448b3ea6a
(0075868)
kgv (developer)
2018-05-08 10:24

Please take the patch.

http://jenkins-test-11.nnov.opencascade.com/view/CR29739_2-master-KGV/ [^]
(0076131)
bugmaster (administrator)
2018-05-23 10:46

Combination -
OCCT branch : CR29739_2 SHA - 583a522f3afa4852340e20a179d809c448b3ea6a
Products branch : master SHA - 300cf879a836fb8a5c4636713070ca9cf544749f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18252.139999999934 / 18243.73999999987 [+0.05%]
Products
Total CPU difference: 7519.8300000000445 / 7505.440000000054 [+0.19%]
Windows-64-VC10:
OCCT
Total CPU difference: 18045.16607339855 / 18049.78370299853 [-0.03%]
Products
Total CPU difference: 7664.734732599949 / 7697.713343999945 [-0.43%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0076277)
git (administrator)
2018-05-24 18:13

Branch CR29739 has been deleted by kgv.

SHA-1: b1e9a3453e5215aa6bec029253c13588ef01e02a
(0076278)
git (administrator)
2018-05-24 18:13

Branch CR29739_1 has been deleted by kgv.

SHA-1: 7cc98c101340b87419e9e42ed674ddf871a895fc
(0076279)
git (administrator)
2018-05-24 18:13

Branch CR29739_2 has been deleted by kgv.

SHA-1: 583a522f3afa4852340e20a179d809c448b3ea6a

- Related Changesets
occt: master b4dfd436
Timestamp: 2018-05-07 11:20:38
Author: abv
Committer: abv
Details ] Diff ]
0029739: Draw Harness - vdonly does not hide displayed objects
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
add - tests/v3d/wire_solid/L1 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-05-07 10:55 nds New Issue
2018-05-07 10:55 nds Assigned To => nds
2018-05-07 11:38 git Note Added: 0075840
2018-05-07 11:41 nds Note Added: 0075841
2018-05-07 11:41 nds Assigned To nds => kgv
2018-05-07 11:41 nds Status new => resolved
2018-05-07 11:42 nds Steps to Reproduce Updated View Revisions
2018-05-07 11:46 kgv Relationship added child of 0025148
2018-05-07 11:46 kgv Product Version => 7.0.0
2018-05-07 11:51 kgv Steps to Reproduce Updated View Revisions
2018-05-07 11:51 kgv Steps to Reproduce Updated View Revisions
2018-05-07 11:52 kgv Steps to Reproduce Updated View Revisions
2018-05-07 11:54 kgv Steps to Reproduce Updated View Revisions
2018-05-07 11:54 kgv Note Added: 0075844
2018-05-07 11:54 kgv Severity minor => trivial
2018-05-07 12:00 kgv Assigned To kgv => nds
2018-05-07 12:00 kgv Status resolved => assigned
2018-05-07 12:18 git Note Added: 0075847
2018-05-07 12:27 git Note Added: 0075848
2018-05-07 12:31 nds Note Added: 0075850
2018-05-07 12:31 nds Assigned To nds => kgv
2018-05-07 12:31 nds Status assigned => resolved
2018-05-07 12:40 kgv Relationship added related to 0029740
2018-05-07 14:15 git Note Added: 0075852
2018-05-07 14:20 git Note Added: 0075853
2018-05-07 16:27 git Note Added: 0075861
2018-05-08 10:24 kgv Note Added: 0075868
2018-05-08 10:24 kgv Assigned To kgv => bugmaster
2018-05-08 10:24 kgv Status resolved => reviewed
2018-05-23 10:45 bugmaster Test case number => v3d wire_solid L1
2018-05-23 10:46 bugmaster Note Added: 0076131
2018-05-23 10:46 bugmaster Status reviewed => tested
2018-05-24 16:02 abv Changeset attached => occt master b4dfd436
2018-05-24 16:02 abv Assigned To bugmaster => abv
2018-05-24 16:02 abv Status tested => verified
2018-05-24 16:02 abv Resolution open => fixed
2018-05-24 18:13 git Note Added: 0076277
2018-05-24 18:13 git Note Added: 0076278
2018-05-24 18:13 git Note Added: 0076279
2018-06-29 21:13 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker